version: '3.6'
services:
  web:
    image: 'gitlab/gitlab-ee:17.5.1-ee.0'
    restart: always
    hostname: 'gitlab.eclipse.dev.docker'
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://gitlab.eclipse.dev.docker:8929'
        gitlab_rails['gitlab_shell_ssh_port'] = 2224
    ports:
      - '8929:8929'
      - '2224:22'
    volumes:
      - './config:/etc/gitlab'
      - './logs:/var/log/gitlab'
      - './data:/var/opt/gitlab'
    shm_size: '256m'
